#!/bin/bash

../../itg -configfile vit1.config >& /dev/null
if diff -bu test_vit1.viterbi test_vit1.viterbi.gold ; then
    echo PASSED itg viterbi synchronous parsing
else 
    echo FAILED itg viterbi synchronous parsing
fi

../../itg -configfile em1.config >& /dev/null
if diff -bu test_em1.t.prb test_em1.t.prb.gold ; then
    echo PASSED itg inside outside
else 
    echo FAILED itg inside outside
fi
